Package org.silverpeas.mobile.client.apps.formsonline.events.app

## Interface FormsOnlineAppEventHandler

- All Superinterfaces:
    `com.google.gwt.event.shared.EventHandler`
  All Known Implementing Classes:
    `FormsOnlineApp`

      public interface FormsOnlineAppEventHandler
      extends com.google.gwt.event.shared.EventHandler

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `loadFormOnline​(FormOnlineLoadEvent event)` |
    `void` | `loadFormOnlineAsReceiver​(FormOnlineAsReceiverLoadEvent formOnlineAsReceiverLoadEvent)` |
    `void` | `loadFormRequest​(FormsOnlineLoadRequestEvent formsOnlineMarkRequestAsReadEvent)` |
    `void` | `loadFormsOnline​(FormsOnlineLoadEvent event)` |
    `void` | `loadFormsOnlineAsReceiver​(FormsOnlineAsReceiverLoadEvent formsOnlineAsReceiverLoadEvent)` |
    `void` | `loadMyRequests​(FormOnlineMyRequestLoadEvent formOnlineMyRequestLoadEvent)` |
    `void` | `loadUserField​(FormOnlineLoadUserFieldEvent formOnlineLoadUserFieldEvent)` |
    `void` | `saveForm​(FormSaveEvent formSaveEvent)` |
    `void` | `validationRequest​(FormsOnlineValidationRequestEvent formsOnlineAcceptRequestEvent)` |

- - ### Method Detail

    - #### loadFormsOnline

          void loadFormsOnline​(FormsOnlineLoadEvent event)

    - #### loadFormOnline

          void loadFormOnline​(FormOnlineLoadEvent event)

    - #### saveForm

          void saveForm​(FormSaveEvent formSaveEvent)

    - #### loadUserField

          void loadUserField​(FormOnlineLoadUserFieldEvent formOnlineLoadUserFieldEvent)

    - #### loadFormsOnlineAsReceiver

          void loadFormsOnlineAsReceiver​(FormsOnlineAsReceiverLoadEvent formsOnlineAsReceiverLoadEvent)

    - #### loadFormOnlineAsReceiver

          void loadFormOnlineAsReceiver​(FormOnlineAsReceiverLoadEvent formOnlineAsReceiverLoadEvent)

    - #### validationRequest

          void validationRequest​(FormsOnlineValidationRequestEvent formsOnlineAcceptRequestEvent)

    - #### loadMyRequests

          void loadMyRequests​(FormOnlineMyRequestLoadEvent formOnlineMyRequestLoadEvent)

    - #### loadFormRequest

          void loadFormRequest​(FormsOnlineLoadRequestEvent formsOnlineMarkRequestAsReadEvent)